#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7a1860b3, "module_layout" },
	{ 0x599b4aae, "dev_attr_phy_event_threshold" },
	{ 0xc58cbba5, "hisi_sas_host_reset" },
	{ 0x476137da, "sas_bios_param" },
	{ 0x9a80f8af, "ata_scsi_dma_need_drain" },
	{ 0xbe3fa48c, "sas_change_queue_depth" },
	{ 0x904651bc, "hisi_sas_scan_start" },
	{ 0x91559ca7, "hisi_sas_scan_finished" },
	{ 0xdb696ae9, "sas_target_destroy" },
	{ 0x143a67ae, "sas_target_alloc" },
	{ 0xa51d18e0, "hisi_sas_slave_configure" },
	{ 0x8cb138a3, "sas_slave_alloc" },
	{ 0x89a0d9eb, "sas_eh_target_reset_handler" },
	{ 0x8442cf92, "sas_eh_device_reset_handler" },
	{ 0xa45c8802, "sas_ioctl" },
	{ 0x52569bcf, "sas_queuecommand" },
	{ 0x314b8b4, "platform_driver_unregister" },
	{ 0xf2319ee1, "__platform_driver_register" },
	{ 0x5515919d, "rt_mutex_base_init" },
	{ 0xa50a3da7, "_find_next_bit" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x4c98d79b, "cpu_hwcap_keys" },
	{ 0x14b89635, "arm64_const_caps_ready" },
	{ 0x6690440a, "hisi_sas_init_mem" },
	{ 0xbd3f57d2, "hisi_sas_stop_phys" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5b8b0dcc, "platform_get_irq" },
	{ 0xebfae55c, "hisi_sas_get_ata_protocol" },
	{ 0xca07590b, "to_hisi_sas_port" },
	{ 0x87b8798d, "sg_next" },
	{ 0x7f2de18c, "sas_task_abort" },
	{ 0xed4f0892, "sas_ssp_task_response" },
	{ 0x4829a47e, "memcpy" },
	{ 0xffc5ab5b, "dma_unmap_sg_attrs" },
	{ 0xc1930021, "hisi_sas_slot_task_free" },
	{ 0x1f474e52, "hisi_sas_sata_done" },
	{ 0x7fd4283e, "hisi_sas_phy_down" },
	{ 0xc2a113a, "add_timer" },
	{ 0xe17f74ee, "sas_notify_port_event" },
	{ 0xd65325d1, "hisi_sas_phy_oob_ready" },
	{ 0x639097e9, "rt_spin_unlock" },
	{ 0x6bbb767c, "rt_spin_lock" },
	{ 0xffa003a7, "hisi_sas_notify_phy_event" },
	{ 0xd1a05f6f, "_dev_info" },
	{ 0xcdb8f0b1, "del_timer" },
	{ 0xa6257a2f, "complete" },
	{ 0x9c9a71f1, "devm_request_threaded_irq" },
	{ 0xec3d73d9, "devm_platform_get_irqs_affinity" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa60f5a72, "hisi_sas_phy_enable" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf27edc8f, "_dev_warn" },
	{ 0x9b807c91, "hisi_sas_get_prog_phy_linkrate_mask" },
	{ 0x582bd17e, "device_property_read_u32_array" },
	{ 0x35d191a2, "device_property_present" },
	{ 0x8da6585d, "__stack_chk_fail" },
	{ 0xf4f20c79, "regmap_read" },
	{ 0x4f207f4f, "regmap_write" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x63efce8, "is_acpi_device_node" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5e09ec8b, "_dev_err" },
	{ 0xdb7b27db, "__dynamic_dev_dbg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x112b1852, "cpumask_next" },
	{ 0x30336574, "irq_get_irq_data" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x324cd0e1, "hisi_sas_probe" },
	{ 0x8412c385, "hisi_sas_remove" },
};

MODULE_INFO(depends, "libsas,hisi_sas_main");

MODULE_ALIAS("acpi*:HISI0162:*");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip06-sas-v2C*");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2");
MODULE_ALIAS("of:N*T*Chisilicon,hip07-sas-v2C*");

MODULE_INFO(srcversion, "88B96F428A513A373A718C1");
MODULE_INFO(rhelversion, "9.0");
